<?php

class RequestTransactionResponse
{

    /**
     * @var RequestTransactionResult
     */
    private RequestTransactionResult $RequestTransactionResult;

    /**
     * Get the value of RequestTransactionResult
     */
    public function getRequestTransactionResult()
    {
        return $this->RequestTransactionResult;
    }

    /**
     * Set the value of RequestTransactionResult
     *
     * @return  self
     */
    public function setRequestTransactionResult($RequestTransactionResult)
    {
        $this->RequestTransactionResult = $RequestTransactionResult;

        return $this;
    }

    public function setRequestTransactionResultbyObject($RequestTransactionResult)
    {
        $requestTransactionResult = new RequestTransactionResult();
        $requestTransactionResult->setRequestbyObject($RequestTransactionResult->Request);
        $requestTransactionResult->setResponsebyObject($RequestTransactionResult->Response);
        return $this->setRequestTransactionResult($requestTransactionResult);
    }
}
